net.sf.jasperreports.engine.xml

## Class XmlConstantPropertyRule

- java.lang.Object
- - org.apache.commons.digester.Rule
  - - net.sf.jasperreports.engine.xml.TransformedPropertyRule
    - - net.sf.jasperreports.engine.xml.XmlConstantPropertyRule

-     public class XmlConstantPropertyRule
      extends TransformedPropertyRule

  Version:
    $Id: XmlConstantPropertyRule.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.xml.TransformedPropertyRule

      `attributeName, propertyName`

    - ### Fields inherited from class org.apache.commons.digester.Rule

      `digester, namespaceURI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlConstantPropertyRule(java.lang.String attributeName, JREnum[] values)`
    `XmlConstantPropertyRule(java.lang.String attributeName, NamedEnum[] values)`
    `XmlConstantPropertyRule(java.lang.String attributeName, java.lang.String propertyName, JREnum[] values)`
    `XmlConstantPropertyRule(java.lang.String attributeName, java.lang.String propertyName, NamedEnum[] values)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `toPropertyValue(java.lang.String attributeValue)`

    - ### Methods inherited from class net.sf.jasperreports.engine.xml.TransformedPropertyRule

      `begin`

    - ### Methods inherited from class org.apache.commons.digester.Rule

      `begin, body, body, end, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlConstantPropertyRule

          public XmlConstantPropertyRule(java.lang.String attributeName,
                                 JREnum[] values)

    - #### XmlConstantPropertyRule

          public XmlConstantPropertyRule(java.lang.String attributeName,
                                 java.lang.String propertyName,
                                 JREnum[] values)

    - #### XmlConstantPropertyRule

          public XmlConstantPropertyRule(java.lang.String attributeName,
                                 NamedEnum[] values)

    - #### XmlConstantPropertyRule

          public XmlConstantPropertyRule(java.lang.String attributeName,
                                 java.lang.String propertyName,
                                 NamedEnum[] values)

  - ### Method Detail

    - #### toPropertyValue

          protected java.lang.Object toPropertyValue(java.lang.String attributeValue)

      Specified by:
        `toPropertyValue` in class `TransformedPropertyRule`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com